<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar class="blec-title">
  <span style="margin-left: 15px;"><h1 class="mat-h1">Execution Context Blueprints</h1></span>
</mat-toolbar>
<mat-tab-group [(selectedIndex)]="selectedIndex" class="blec-container">
  <mat-tab label="View">
    <div style="padding: 30px;" fxFlex="100%"  fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center">
      <table mat-table class="full-width-table blec-table full-width-table-xs" matSort aria-label="Elements">
        <!-- Id Column -->
        <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
          <td mat-cell *matCellDef="let row"><b>{{row.ctxBlueprintId}}</b></td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="name" >
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
          <td mat-cell *matCellDef="let row"><b>{{row.name}}</b></td>
        </ng-container>

        <!-- Version Column -->
        <ng-container matColumnDef="version">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Version</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.ctxBlueprintVersion}}</td>
        </ng-container>

        <!-- Description Column -->
        <ng-container matColumnDef="description">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Description</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.ctxBlueprint.description}}</td>
        </ng-container>

        <!-- Configurable Parameters Column -->
        <ng-container matColumnDef="conf_params">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Configurable Parameters</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">
            <tr *ngFor="let param of row.ctxBlueprint.parameters"><td> - {{param.parameterName}}</td></tr>
          </td>
        </ng-container>

        <!-- VSDs Column -->
        <ng-container matColumnDef="ctxds">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>CTXDs</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">
            <!--tr *ngFor="let name of row.activeCtxdId"><td> - {{name}}</td></tr-->
            <tr *ngFor="let name of idToCtxdIds.get(row.ctxBlueprintId) | keyvalue"><td><a (click)="viewCtxDescriptor(name.key)" style="color: black;" >{{name.value}}</a></td></tr>
          </td>
        </ng-container>

        <!-- Button Column -->
        <ng-container matColumnDef="buttons">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let row">
            <span  value="view_blueprint" (click)="viewEcBlueprintGraph(row.ctxBlueprintId)"><i class="fa fa-eye fa-2x" aria-hidden="true" style="padding: 6px;"></i></span>
            <span   value="delete" (click)="deleteEcBlueprint(row.ctxBlueprintId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

      <mat-paginator #paginator fxFlex="100%" fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center"
          [length]="dataSource?.data.length"
          [pageIndex]="0"
          [pageSize]="50"
          [pageSizeOptions]="[25, 50, 100, 250]"
         class="blec-table">
      </mat-paginator>
    </div>
  </mat-tab>
  <mat-tab label="Onboard" class="blec-table" fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
    <div style="padding: 30px;">
      <app-blueprints-ec-stepper></app-blueprints-ec-stepper>
    </div>
  </mat-tab>
</mat-tab-group>
